Imagick::sharpenImage
Imagick::shearImage
Imagick
PHP Manual

# Imagick::shaveImage

(PECL imagick 2.0.0)

Imagick::shaveImage — Shaves pixels from the image edges

### Description

bool Imagick::shaveImage ( int `$columns` , int `$rows` )

Shaves pixels from the image edges. It allocates the memory necessary for the new Image structure and returns a pointer to the new image.

### Parameters

`columns`

`rows`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::shaveImage()

`<?php
function shaveImage($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->shaveImage(100, 50);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::sharpenImage
Imagick::shearImage
Imagick
PHP Manual